var tooltipHider = {};

tooltipHider.mLastTarget = null;
tooltipHider.mActionList = {}

tooltipHider.onmouseover = function(aEvent) {
    if(aEvent.target.getAttribute("tooltip") 
    || aEvent.target.getAttribute("tooltiptext")
    || aEvent.target.getAttribute("donthide")) 
    {
        tooltipHider.mLastTarget = null;
    }
    else {
        tooltipHider.mLastTarget = aEvent.target;
    }
}

tooltipHider.onpopupshown = function(aEvent) {
    if(tooltipHider.mLastTarget 
        && tooltipHider.mActionList[tooltipHider.mLastTarget.nodeName]
        && aEvent.originalTarget.nodeName=="tooltip"
        )
    {
        aEvent.originalTarget.hidePopup();
    }
}

window.addEventListener('mouseover', tooltipHider.onmouseover, false);
window.addEventListener('popupshown', tooltipHider.onpopupshown, false);

tooltipHider.mActionList["menu"] = true;
tooltipHider.mActionList["menuitem"] = true;
